%define _disable_ld_as_needed		1
%define _disable_ld_no_undefined	1

%define version		3.6.1
%define major		%version
%define libname		%mklibname opal %{major}
%define develname	%mklibname %{name} -d

%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%define distsuffix plf
%endif

Summary:	VoIP library
Name:		opal3
Version:	%version
Release:	%mkrel 3
License:	MPL
Group:		System/Libraries
URL:		http://www.opalvoip.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/opal/opal-%{version}.tar.bz2
BuildRequires:	gawk
BuildRequires:	openssl-devel
BuildRequires:	openldap-devel
BuildRequires:	ptlib-devel >= 2.6.1
BuildRequires:	libspeex-devel
BuildRequires:	libtheora-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	X11-devel
%if %build_plf
BuildRequires: x264-devel
%endif
BuildRequires:	celt-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is an open source class library for the development of
applications that wish to use SIP / H.323 protocols for multimedia
communications over packet based networks.

%if %build_plf
This package is in PLF because the H264 codec is covered by patents.
%endif

%package -n	%{libname}-plugins
Summary:	Codec plugins for Opal
Group:		System/Libraries
Provides:	%{name}-plugins = %{version}-%{release}
Obsoletes:	%{mklibname opal 3}-plugins < 3.4.1-2mdv

%description -n	%{libname}-plugins
PTlib codec plugins for various formats provided by Opal.

%package -n	%{libname}
Summary:	Opal Library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Requires:	%{libname}-plugins = %{version}-%{release}
Obsoletes:	%{mklibname opal 3} < 3.4.1-2mdv

%description -n	%{libname}
Shared library for OPAL (SIP / H323 stack).

%package -n	%{develname}
Summary:	Opal development files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release} 
Requires:	ptlib-devel >= 2.4.1
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{mklibname opal -d}

%description -n	%{develname}
Header files and libraries for developing applications that use
Opal.

%prep
%setup -q -n opal-%{version}

%build
#gw don't use the default %%optflags, see
# https://qa.mandriva.com/show_bug.cgi?id=48476
%define optflags %nil
%configure2_5x 
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

# remove incorrect symlinks (http://bugzilla.gnome.org/show_bug.cgi?id=553808 )
rm -f %{buildroot}%{_libdir}/libopal.so.?
rm -f %{buildroot}%{_libdir}/libopal.so.?.?

%if %mdkversion < 200900
%post -p /sbin/ldconfig -n %{libname}
%endif

%if %mdkversion < 200900
%postun -p /sbin/ldconfig -n %{libname}
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/lib*.so.%{major}*

%files -n %{libname}-plugins
%defattr(-,root,root)
%{_libdir}/opal-%{version}/codecs/audio/*
%{_libdir}/opal-%{version}/codecs/video/*
%{_libdir}/opal-%{version}/lid/*

%files -n %{develname}
%defattr(-,root,root)
%doc mpl-1.0.htm
%attr(0755,root,root) %{_libdir}/*.so
%{_libdir}/*.*a
%{_includedir}/*
%{_libdir}/pkgconfig/opal.pc


%changelog
* Wed Mar 18 2009 Götz Waschk <waschk@mandriva.org> 3.6.1-3mdv2009.1
+ Revision: 357310
- really disable optmization
- disable optimization (bug #48476)

* Wed Mar 18 2009 Götz Waschk <waschk@mandriva.org> 3.6.1-1mdv2009.1
+ Revision: 357189
- new version
- bump ptlib dep

* Thu Mar 12 2009 Götz Waschk <waschk@mandriva.org> 3.6.0-3mdv2009.1
+ Revision: 354221
- disable stack align option again

* Sun Mar 08 2009 Götz Waschk <waschk@mandriva.org> 3.6.0-2mdv2009.1
+ Revision: 352997
- enable stack align hack for ffmpeg

* Tue Mar 03 2009 Götz Waschk <waschk@mandriva.org> 3.6.0-1mdv2009.1
+ Revision: 347632
- new version
- drop patch
- enable celt support
- bump ptlib dep

* Thu Jan 22 2009 Götz Waschk <waschk@mandriva.org> 3.5.2-3mdv2009.1
+ Revision: 332437
- fix h263 plugin with our ffmpeg

* Wed Jan 07 2009 Götz Waschk <waschk@mandriva.org> 3.5.2-2mdv2009.1
+ Revision: 326524
- add support for building with x264

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 3.5.2-1mdv2009.1
+ Revision: 325479
- new version
- patch for new ffmpeg

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 3.4.2-1mdv2009.1
+ Revision: 295971
- new version
- new major
- bump deps
- fix source URL

* Thu Sep 25 2008 Adam Williamson <awilliamson@mandriva.org> 3.4.1-2mdv2009.0
+ Revision: 288199
- don't package incorrect major / minor version symlinks
- obsolete incorrect major packages
- major should be 3.4.1, not 3 (per SONAME and upstream)

* Tue Sep 23 2008 Adam Williamson <awilliamson@mandriva.org> 3.4.1-1mdv2009.0
+ Revision: 287507
- adjust file list for yet another new codec layout
- use correct optflags
- drop both configure flags: one doesn't exist any more and the other was
  incorrect, we want to use system not local speex
- bump the ptlib-devel buildrequire (doesn't build with 2.3.1)
- drop pthread.patch (can't reliably maintain it while underlinking protection
  is disabled)
- disable underlinking protection (it now breaks all the ptlib checks)
- new release 3.4.1

* Tue Sep 02 2008 Adam Williamson <awilliamson@mandriva.org> 3.3.1-1mdv2009.0
+ Revision: 279341
- pkgconfig file's going to libdir now, not prefix/lib
- adjust file list
- update ptlib br
- add pthread.patch to 'fix' (see comment in spec) an underlinking issue
- new release 3.3.1 (from gnome.org)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 13 2008 Adam Williamson <awilliamson@mandriva.org> 3.2.0-1mdv2009.0
+ Revision: 206814
- drop libname.patch (no longer needed)
- new release 3.2.0

* Sun Dec 30 2007 Adam Williamson <awilliamson@mandriva.org> 3.1.2-1mdv2008.1
+ Revision: 139479
- import opal3


